System.ServiceModel 4.0.0.0 System.Enum

If the specified peer resolver is unavailable, a will be thrown when an attempt to use the resolver is made.

Determines the type of peer resolver being used.

- Field
  4.0.0.0
  System.ServiceModel.PeerResolvers.PeerResolverMode

  If available, a custom resolver is used. If one is unavailable, the PNRP peer resolver is used. A peer resolver is considered "available" if the and properties are set on it.

  Automatically determines the type of resolver to use from the information set on the binding.

- Field
  4.0.0.0
  System.ServiceModel.PeerResolvers.PeerResolverMode

  A custom resolver is used.

- Field
  4.0.0.0
  System.ServiceModel.PeerResolvers.PeerResolverMode

  The PNRP resolver is used.